---
title: vert-adv-y
slug: Web/SVG/Attribute/vert-adv-y
tags:
  - Deprecated
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{deprecated_header("SVG 2")}}</div>

<p class="seoSummary">The <strong><code>vert-adv-y</code></strong> attribute indicates the vertical advance after rendering a {{Glossary("glyph")}} in vertical orientation.</p>

<p>Three elements are using this attribute: {{SVGElement("font")}}, {{SVGElement("glyph")}}, and {{SVGElement("missing-glyph")}}</p>

<h2 id="font">font</h2>

<p>For {{SVGElement("font")}} elements, <code>vert-adv-y</code> specifies the default vertical advance for a glyph in vertical orientation.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#Number">&lt;number&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>1 em as of {{SVGAttr("units-per-em")}}</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;number&gt;</code></dt>
 <dd>This value indicates the default vertical advance of the glyph in vertical direction</dd>
</dl>

<h2 id="glyph_missing-glyph">glyph, missing-glyph</h2>

<p>For {{SVGElement("glyph")}} and {{SVGElement("missing-glyph")}} elements, <code>vert-adv-y</code> specifies the vertical advance for a glyph in vertical orientation.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#Number">&lt;number&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>{{SVGElement("font")}}ʼs <code>vert-adv-y</code> value</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;number&gt;</code></dt>
 <dd>This value indicates the vertical advance of the glyph in vertical direction</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "fonts.html#GlyphElementVertAdvYAttribute", "vert-adv-y for &lt;glyph&gt; and &lt;missing-glyph&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;glyph&gt;</code> and <code>&lt;missing-glyph&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "fonts.html#FontElementVertAdvYAttribute", "vert-adv-y for &lt;font&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;font&gt;</code></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.font.vert-adv-y")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGAttr("horiz-adv-x")}}</li>
 <li>{{SVGAttr("units-per-em")}}</li>
</ul>
